Bug 16848 - missing } in pthread.h
missing } in pthread.h
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-24 05:16 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-06 10:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-24 05:16:05 EDT
/usr/include/pthread.h is missing a closing } in pthread_cleanup_push

it reads:
#define
pthread_cleanup_push(routine,arg)                                     \
  { struct _pthread_cleanup_buffer
_buffer;                                   \
    _pthread_cleanup_push (&_buffer, (routine), (arg));

and should read:
#define
pthread_cleanup_push(routine,arg)                                     \
  { struct _pthread_cleanup_buffer
_buffer;                                   \
    _pthread_cleanup_push (&_buffer, (routine), (arg)); }

the absence of this closing } leads to hard to find compile-errors.

--phil.
Comment 1 Jakub Jelinek 2000-09-06 12:46:14 EDT
The compile errors are desirable, quoting pthread.h:
/* Install a cleanup handler: ROUTINE will be called with arguments ARG
   when the thread is cancelled or calls pthread_exit.  ROUTINE will also
   be called with arguments ARG when the matching pthread_cleanup_pop
   is executed with non-zero EXECUTE argument.
   pthread_cleanup_push and pthread_cleanup_pop are macros and must always
   be used in matching pairs at the same nesting level of braces. */

Note You need to log in before you can comment on or make changes to this bug.